#pragma once

#include <UIMLView.h>

#include "InventoryView.h"

class RecipieOutputElement : public Framework::UIMLElement
{
public:
    RecipieOutputElement();
    //! prüft, ob dieses UIML Element für ein bestimmtes xml Element zuständig
    //! ist
    bool isApplicableFor(Framework::XML::Element& element) override;
    //! erstellt eine neue Drawable zu einem gegebenen xml Element
    Framework::Drawable* parseElement(Framework::XML::Element& element,
        Framework::UIMLContainer& generalFactory) override;
    bool updateElement(Framework::XML::Element& element,
        Framework::Drawable& z,
        Framework::UIMLContainer& generalFactory) override;
    //! wendet die layout parameter zu einer Drawable an
    void layout(Framework::XML::Element& element,
        Framework::Drawable& z,
        int pWidth,
        int pHeight,
        Framework::UIMLContainer& generalLayouter) override;
};

class RecipieOutput : public Framework::DrawableBackground
{
private:
    SlotInfo info;

public:
    RecipieOutput(SlotInfo info, Framework::Text toolTipUIML);
    void render(Framework::Image& rObj) override;
};